\begin{lstlisting}[language=json,firstnumber=1,escapeinside=``,caption={JSON with confused type of keyslot's KDF},captionpos=b,label={lst:json_kdf}]
{
    "keyslots": {
        "0": {
            "type": "luks2",
            "key_mode": 1700617076,
            "mode": 3,
            "direction": 2,
            "area": {
                ...
            },
            "kdf": "0",
            "size": "2",
            "key_size": 1700617076,
            "af": {
                "type": "luks1",
                "stripes": 65535,
                "hash": "sha256"
            }
        }
    },
    ...
}
\end{lstlisting}
